Vector::BLF::CanFdMessage(3)

NAME
Vector::BLF::CanFdMessage - CAN_FD_MESSAGE.

SYNOPSIS

#include <CanFdMessage.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint8_t { TX = (1 << 0), NERR = (1 << 5), WU = (1 << 6), RTR = (1 << 7) }
enum CanFdFlags : uint8_t { EDL = (1 << 0), BRS = (1 << 1), ESI = (1 << 2) }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t flags {}
CAN dir & rtr.
uint8_t dlc {}
CAN dlc.
uint32_t id {}
CAN ID.
uint32_t frameLength {}
message length in ns - without 3 inter frame space bits and by Rx-message also without 1 End-Of-Frame bit
uint8_t arbBitCount {}
bit count of arbitration phase
uint8_t canFdFlags {}
CAN FD flags.
uint8_t validDataBytes {}
Valid payload length of data.
uint8_t reservedCanFdMessage1 {}
uint32_t reservedCanFdMessage2 {}
std::array< uint8_t, 64 > data {}
CAN FD data.
uint32_t reservedCanFdMessage3 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

CAN_FD_MESSAGE.

Member Enumeration Documentation

  enum Vector::BLF::CanFdMessage::CanFdFlags : uint8_t
enumeration for canFdFlags

Enumerator

EDL extended data length

BRS bit rate switch

ESI error state indicator

  enum Vector::BLF::CanFdMessage::Flags : uint8_t
enumeration for flags

Enumerator

TX  transmit direction

NERR
    single wire operation

WU  wake up message (high voltage)

RTR remote transmission request

Member Function Documentation

  uint32_t Vector::BLF::CanFdMessage::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::CanFdMessage::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::CanFdMessage::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::CanFdMessage::flags {}

CAN dir & rtr. CAN Message Flags

CAN dir, rtr, wu & nerr encoded into flags

  uint8_t Vector::BLF::CanFdMessage::reservedCanFdMessage1 {}
reserved

  uint32_t Vector::BLF::CanFdMessage::reservedCanFdMessage2 {}
reserved

  uint32_t Vector::BLF::CanFdMessage::reservedCanFdMessage3 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.